kr.co.hanwha.hifive.data.model

## Class TaskDetailData

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.TaskData
  - - kr.co.hanwha.hifive.data.model.TaskDetailData

-     public class TaskDetailData
      extends TaskData

  Created by sanghoonkwon on 2018. 1. 22..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `author_name` ex)
    `(package private) java.lang.String` | `author_profile_url` ex)
    `(package private) java.lang.String` | `message_contents` ex) null
    `(package private) int` | `message_type` ex) 0
    `(package private) int` | `ref_task_id`

    - ### Fields inherited from class kr.co.hanwha.hifive.data.model.TaskData

      `author_member_id, closed_at, created_at, description, due_to, evaluation, finished_at, flag, is_today, member_id, member_name, member_profile_url, project_id, project_name, repeat_day, server_time, status, task_id, task_name, timezone, track_id, updated_at`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskDetailData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthor_name()`
    `java.lang.String` | `getAuthor_profile_url()`
    `java.lang.String` | `getCreated_at()`
    `java.lang.String` | `getMessage_contents()`
    `int` | `getMessage_type()`
    `java.lang.String` | `getUpdated_at()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class kr.co.hanwha.hifive.data.model.TaskData

      `getAuthor_member_id, getClosed_at, getDescription, getDue_to, getEvaluation, getFinished_at, getFlag, getMember_id, getMember_name, getMember_profile_url, getProject_id, getProject_name, getRepeat_day, getServer_time, getStatus, getTask_id, getTask_name, getTimezone, getTrack_id, isIs_today, setDescription, setDue_to, setIs_today, setRepeat_day, setStatus, setTask_name`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### author_name

          java.lang.String author_name

      ex)

    - #### author_profile_url

          java.lang.String author_profile_url

      ex)

    - #### message_type

          int message_type

      ex) 0

    - #### message_contents

          java.lang.String message_contents

      ex) null

    - #### ref_task_id

          int ref_task_id

  - ### Constructor Detail

    - #### TaskDetailData

          public TaskDetailData()

  - ### Method Detail

    - #### getCreated_at

          public java.lang.String getCreated_at()

      Overrides:
        `getCreated_at` in class `TaskData`

    - #### getUpdated_at

          public java.lang.String getUpdated_at()

      Overrides:
        `getUpdated_at` in class `TaskData`

    - #### getAuthor_name

          public java.lang.String getAuthor_name()

    - #### getAuthor_profile_url

          public java.lang.String getAuthor_profile_url()

    - #### getMessage_type

          public int getMessage_type()

    - #### getMessage_contents

          public java.lang.String getMessage_contents()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`